Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class FilterIterator.NonNumeric

    java.lang.Object
      net.sf.saxon.expr.FilterIterator
          net.sf.saxon.expr.FilterIterator.NonNumeric

All Implemented Interfaces:
  SequenceIterator

Enclosing class:
  FilterIterator

public static final class FilterIterator.NonNumeric
extends FilterIterator

Subclass to handle the common special case where it is statically known that the filter cannot return a numeric value

Nested Class Summary

Nested classes inherited from class net.sf.saxon.expr.FilterIterator
`FilterIterator.Leading, FilterIterator.NonNumeric`

Field Summary

Fields inherited from class net.sf.saxon.expr.FilterIterator
`base, filter, filterContext`

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`ATOMIZABLE, GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`FilterIterator.NonNumeric(SequenceIterator base, Expression filter, XPathContext context)`

Method Summary
`SequenceIterator` | `getAnother()` Get another iterator to return the same nodes
`protected boolean` | `matches()` Determine whether the context item matches the filter predicate

Methods inherited from class net.sf.saxon.expr.FilterIterator
`current, getNextMatchingItem, getProperties, next, position`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterIterator.NonNumeric

    public FilterIterator.NonNumeric(SequenceIterator base,
                                     Expression filter,
                                     XPathContext context)

Method Detail

### matches

    protected boolean matches()
                       throws XPathException

  Determine whether the context item matches the filter predicate

  Overrides:
    `matches` in class `FilterIterator`
  Throws:
    `XPathException`

### getAnother

    public SequenceIterator getAnother()
                                throws XPathException

  Get another iterator to return the same nodes

  Specified by:
    `getAnother` in interface `SequenceIterator`
  Overrides:
    `getAnother` in class `FilterIterator`
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD